# Contact query

A decision block that search for a contact and retrieve its details.

The fiber will proceed immediately without pause.

## Input arguments

- Lookup value — value to search for, the value of some type may contain glob patterns.
- Value type — type of value, default is deduced from the value itself.

## Output variables

- Display name — variable to assign the display name of contact.
- Nickname — variable to assign the nickname of contact.
- Company name — variable to assign the company of contact.
- Primary phone number — variable to assign the primary phone number of contact.
- Primary e-mail — variable to assign the primary e-mail of contact.
- Primary postal address — variable to assign the primary postal address of contact.
- Groups — variable to assign an array of group titles that contact is part of.
- Contact URI — variable to assign the contact URI of contact.